Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::get_cursor_fn Struct Reference
Utility

## Description

Get a cursor from a basic_iterator.

## Public Member Functions
template<typename Cur >
Cur & | operator() (basic_iterator< Cur > &it) const noexcept
template<typename Cur >
Cur const & | operator() (basic_iterator< Cur > const &it) const noexcept
template<typename Cur >
Cur | operator() (basic_iterator< Cur > &&it) const noexcept(std::is_nothrow_move_constructible< Cur >::value)